# 
# Synthesis run script generated by Vivado
# 

set_param xicom.use_bs_reader 1
set_msg_config -id {HDL 9-1061} -limit 100000
set_msg_config -id {HDL 9-1654} -limit 100000
create_project -in_memory -part xc7a35tcpg236-1

set_param project.singleFileAddWarning.threshold 0
set_param project.compositeFile.enableAutoGeneration 0
set_param synth.vivado.isSynthRun true
set_property webtalk.parent_dir {C:/Users/yen ping/Desktop/Lab4_3/Lab4_3.cache/wt} [current_project]
set_property parent.project_path {C:/Users/yen ping/Desktop/Lab4_3/Lab4_3.xpr} [current_project]
set_property default_lib xil_defaultlib [current_project]
set_property target_language Verilog [current_project]
read_verilog -library xil_defaultlib {
  {C:/Users/yen ping/Desktop/Lab4_3/clock_divider.v}
  {C:/Users/yen ping/Desktop/Lab4_3/lab2_2.v}
  {C:/Users/yen ping/Desktop/Lab4_3/Lab4_3.srcs/sources_1/new/Lab4_3.v}
}
foreach dcp [get_files -quiet -all *.dcp] {
  set_property used_in_implementation false $dcp
}
read_xdc {{C:/Users/yen ping/Desktop/Lab4_3/lab4_cons.xdc}}
set_property used_in_implementation false [get_files {{C:/Users/yen ping/Desktop/Lab4_3/lab4_cons.xdc}}]


synth_design -top Lab4_3 -part xc7a35tcpg236-1


write_checkpoint -force -noxdef Lab4_3.dcp

catch { report_utilization -file Lab4_3_utilization_synth.rpt -pb Lab4_3_utilization_synth.pb }
